Loading...
Searching...
No Matches
Ogre::EdgeData::Triangle Struct Reference

Basic triangle structure. More...

`#include <OgreEdgeListBuilder.h>`

## Public Member Functions

| Triangle ()

## Public Attributes

uint32 | indexSet
| The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.).
uint32 | sharedVertIndex [3]
| Vertex indexes, relative to a shared vertex buffer with duplicates eliminated (this buffer is not exposed).
uint32 | vertexSet
| The vertex set these vertices came from.
uint32 | vertIndex [3]
| Vertex indexes, relative to the original buffer.

## Detailed Description

Basic triangle structure.

## Constructor & Destructor Documentation

## Triangle()

Ogre::EdgeData::Triangle::Triangle | ( |  | ) |

inline

References indexSet, and vertexSet.

## Member Data Documentation

## indexSet

uint32 Ogre::EdgeData::Triangle::indexSet

The set of indexes this triangle came from (NB it is possible that the triangles on one side of an edge are using a different vertex buffer from those on the other side.).

Referenced by Triangle().

## vertexSet

uint32 Ogre::EdgeData::Triangle::vertexSet

The vertex set these vertices came from.

Referenced by Triangle().

## vertIndex

uint32 Ogre::EdgeData::Triangle::vertIndex[3]

Vertex indexes, relative to the original buffer.

## sharedVertIndex

uint32 Ogre::EdgeData::Triangle::sharedVertIndex[3]

Vertex indexes, relative to a shared vertex buffer with duplicates eliminated (this buffer is not exposed).

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h